# studio::CanvasProperties Class Reference

`#include <canvasproperties.h>`

List of all members.

## Public Member Functions

| CanvasProperties (Gtk::Window &parent, etl::handle< synfigapp::CanvasInterface > canvas_interface)
| ~CanvasProperties ()
void | refresh ()
void | update_title ()

## Constructor & Destructor Documentation

CanvasProperties::CanvasProperties | ( | Gtk::Window & | parent,
|  | etl::handle< synfigapp::CanvasInterface > | canvas_interface |
| ) |  |  |

References _, refresh(), studio::Widget_RendDesc::signal_changed(), and update_title().

CanvasProperties::~CanvasProperties | ( |  | ) |

## Member Function Documentation

void CanvasProperties::refresh | ( |  | ) |

References studio::Widget_RendDesc::set_rend_desc(), and update_title().

Referenced by CanvasProperties().

void CanvasProperties::update_title | ( |  | ) |

References _.

Referenced by CanvasProperties(), and refresh().

The documentation for this class was generated from the following files:

- canvasproperties.h
- canvasproperties.cpp